Bug 250465 - Grub stage2 fails with "Invalid partition table"
Grub stage2 fails with "Invalid partition table"
Status: CLOSED NOTABUG
Product: Red Hat Enterprise Linux 5
Classification: Red Hat
Component: grub (Show other bugs)
5.0
i686 Linux
low Severity high
: ---
: ---
Assigned To: Václav Pavlín
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-08-01 15:15 EDT by arch harris
Modified: 2013-01-14 09:44 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-01-14 09:44:32 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
fdisk output listing partition tables contents in regular and expert (2.39 KB, text/plain)
2007-08-01 15:15 EDT, arch harris
no flags Details

  None (edit)
Description arch harris 2007-08-01 15:15:42 EDT
Description of problem:
Grub Stage 2 fails with the error "Invalid Partition Table"

Version-Release number of selected component (if applicable): 97-13


How reproducible: Consistently


Steps to Reproduce:
1.Install grub
2.Boot
3.
  
Actual results:Stage 2 failure


Expected results:Normal boot


Additional info:I have a partition that contains just grub on /dev/hda2.  That
version of grub chainloads either /dev/hdb2 or /dev/hdd2 where grub is also
installed as part of a complete redhat root partition.  hdd2 contains version 4
of enterprise, I just installed version 5 on hdb2. hda2 (and hdd2) have version
95-3.8 of grub.  hdb2 has 97-13.  When the grub-97-13 on hdb2 executes (after
being chainloaded from hda2 grub-95-3.8), stage2 fails as described above.  When
grub-97-13 was installed on hda2, it failed their as well.  When grub-95-3.8 is
installed on hdb2, it boots successfully (after being chain loaded from
grub-95-3.8 on hda2).  Grub-95-3.8 on hdd2 has always booted successfully when
chainloaded from hda2 grub-95-3.8.  When hdd is removed from the system
entirely, the problems with grub-97-13 continue. The boot sector on both hda and
hdb have signature aa55 in the last 2-bytes. A listing of the partition tables
for hda and hdb is attached.
Comment 1 arch harris 2007-08-01 15:15:43 EDT
Created attachment 160455 [details]
fdisk output listing partition tables contents in regular and expert
Comment 2 arch harris 2007-08-04 12:45:09 EDT
(In reply to comment #0)

For a number of reasons, I reinstalled Enterprise 5.  When I did so, the problem
with grub-97-13 disappeared.  So I would have to re-classify the problem as not
repeatable.

There was nothing unusual in the initial install.  The problem with grub-97-13
occurred the first time the system rebooted after the install (before I even had
an opportunity to mess it up).  And it occurred after manually re-installing
grub-97-13 on hdb2, hdb, and hda2.  It disappeared when grub-95 was re-installed
on those partitions.

 
Comment 3 Vladimir Serbinenko 2012-08-01 17:37:50 EDT
GRUB 0.97 doesn't contain the string "Invalid Partition table" at all. What makes you think that it was GRUB failure at all?
Comment 4 Václav Pavlín 2013-01-14 09:44:32 EST
Hi,

So, if I get it right, there is no issue after reinstall? So it could be really corrupted filesystem, I expect.

Closing as NOTABUG. If I misunderstood you, feel free to reopen.

Regards

Vaclav

Note You need to log in before you can comment on or make changes to this bug.